/**
 * @package admin
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf 
 */

function preparePage() {
  /*****************************************************************************
   * Vorschaumodus - Sicherheitsabfrage 
   *****************************************************************************
   */  
  jQuery('input#copysettings_reset, input#copysettings_apply').on('click', function(event){
    event.preventDefault();
    securityQuestion(this);
  });
  /*****************************************************************************
   * Löschen alter Newseinträge - Sicherheitsabfrage 
   *****************************************************************************
   */  
  jQuery('input#imgDelOldNews').on('click', function(event){
    event.preventDefault();
    $('span#dialogDelDate').html($('input#delnewsdate').val());
    securityQuestion(this, 'delete_old_news_securitydialog');
  });
  /*****************************************************************************
   * Löschen veralteter Uploaddateien - Sicherheitsabfrage 
   *****************************************************************************
   */  
  jQuery('input#deloldfiles').on('click', function(event){
    event.preventDefault();
    securityQuestion(this);
  });
  /*****************************************************************************
   * Merklisten bereinigen 
   *****************************************************************************
   */  
  jQuery('input#merklistenbereinigen').on('click', function(event){
    event.preventDefault();
    securityQuestion(this);
  });
  /*****************************************************************************
   * allgemein: Sicherheitsfrage
   *****************************************************************************
   */  
  jQuery('input#securityquestion').on('click', function(event){
    event.preventDefault();
    securityQuestion(this);
  });
  
  /*****************************************************************************
   * Nachladen der Seiteninhalte per Ajax
   ***************************************************************************** 
   */
  
  jQuery('a.ajaxlink').on('click', function (event) {
    event.preventDefault();
    var link = jQuery(this).prop('href');
    
    jQuery('div#content').addClass('loading');
    jQuery.get(link, { 'ajax': 'content' }, function(data){
      jQuery('div#content_inlay').html(data);
      preparePage();
      jQuery('div#content').removeClass('loading');
    });
  });
  
  jQuery('input.ajaxpost').on('click', ajaxPost);
  
  
  /*****************************************************************************
   * Auf- und Zuklappfunktionen 
   *****************************************************************************
   */
  jQuery('a.toggle-link').on('click', function(event) {
    event.preventDefault();
    if (jQuery(this).parents('.toggle-base').next().css('display') == 'none') {
      jQuery(this).removeClass('ui-icon-circle-plus');
      jQuery(this).addClass('ui-icon-circle-minus');
    } else {
      jQuery(this).removeClass('ui-icon-circle-minus');
      jQuery(this).addClass('ui-icon-circle-plus');
    }
    
    jQuery(this).parents('.toggle-base').next().toggle('fast');
    
  }).each(function() {
    jQuery(this).parents('.toggle-base').next().toggle('fast');
  });
  
  
  
  jQuery('.set-value').on('click', function(event) {
    event.preventDefault();
    
    // Parameter auswerten
    var options = jQuery(this).prop('class').replace(/.*?\{(.*?)\}.*?/g, "$1");
    ary = options.split(';');
    
    var keys = new Array(ary.length);
    var vals = new Array(ary.length);
    for(var i=0, c = ary.length; i<c; i++) {
      var key = ary[i].replace(/:.*$/g, '').trim();
      var val = ary[i].replace(/^.*?:/g, '').trim();
      //eval('var ' + key + ' = "' + val + '";')
      
      if(key == 'to') {
        var to = val;
      } else {
        keys[i] = key;
        vals[i] = val;
      }
    }
    
    // Werte setzten
    for(var i=0, c = keys.length; i<c; i++) {
      jQuery(to).attr(keys[i], vals[i]);
    }
  });
  
  
  jQuery('a.check').on('click', function(event) {
    event.preventDefault();
    securityQuestion(this);
  });
}

$(function() {
  preparePage();
});